MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000110PPLMAKEFILES: _generalpublic2010-06-19 05:362012-02-12 09:56
ReporterDan Davies 
Assigned Tobagnara 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Summary0000110: Fatal errors during build of PPL
DescriptionI'm trying to use the Graphite optimizations for GCC 4.5.0. I'm running Solaris10, update 7 on an Intel i7-860. The triplet is i386-pc-solaris2.10.

My general procedure is to build gcc/g++ 4.5.0 without ppl, use the new gcc/g++ 4.5.0 to build GMP 4.3.2 then use gcc/g++ 4.5.0 and the new GMP to build ppl-0.10.2. Eventually, I'd use that to rebuild gcc, but I'm stuck. I may be doing this the hard way, but I don't see an alternative.

Here's how I configured gcc 4.5.0

$TOOL/gcc/4.5.0/gcc-4.5.0/configure --prefix=$TOOL/gcc/4.5.0/i386-pc-solaris2.10 --with-gnu-as --with-gnu-ld --disable-shared --enable-lto --with-libelf=/usr/local --enable-gold i686-pc-solaris2.10

I told it that the host/build/target machines were i686's so that it wouldn't generate i386 code. GMP dies in compilation if you do that, unable to find __sync_fetch_and_add_4. GCC/G++ built fine. There are a few problems with the test suites, but I wouldn't think that would affect compilation failures.

Here's how I configured gmp-4.3.2

CPPFLAGS=-fexceptions $TOOL/gcc/4.5.0/gmp-4.3.2/configure --prefix=$TOOL/gcc/4.5.0/i386-pc-solaris2.10 --enable-cxx i686-pc-solaris2.10

That also built fine. Three tests failed in "make check." These are probably due to gcc errors, but shouldn't affect compilation.

Here's how I configured ppl-0.10.2

$TOOL/gcc/4.5.0/ppl-0.10.2/configure --prefix=$TOOL/gcc/4.5.0/i386-pc-solaris2.10 --with-gnu-ld --with-cc=gcc --with-cxx=g++ --with-libgmp-prefix=$TOOL/gcc/4.5.0/i386-pc-solaris2.10

The configure step complained about memory exhaustion and recommended use of the CPPFLAGS variable for configuring gmp. As seen above, I did use that flag. Inspection of the g++ compiles inside gmp showed that -fexceptions was being used. I ignored the complaint.

After typing "make", the compilation proceeds for awhile, but dies with many errors. Here's the output from the last good compile and the start of the error messages.

libtool: compile: g++ -DHAVE_CONFIG_H -I. -I/tool/gcc/4.5.0/ppl-0.10.2/src -I.. -I.. -I/tool/gcc/4.5.0/ppl-0.10.2/src -I/tool/gcc/4.5.0/i386-pc-solaris2.10/include -g -O2 -frounding-math -W -Wall -MT Polyhedron_widenings.lo -MD -MP -MF .deps/Polyhedron_widenings.Tpo -c /tool/gcc/4.5.0/ppl-0.10.2/src/Polyhedron_widenings.cc -o Polyhedron_widenings.o >/dev/null 2>&1
mv -f .deps/Polyhedron_widenings.Tpo .deps/Polyhedron_widenings.Plo
/bin/bash ../libtool --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I. -I/tool/gcc/4.5.0/ppl-0.10.2/src -I.. -I.. -I/tool/gcc/4.5.0/ppl-0.10.2/src -I/tool/gcc/4.5.0/i386-pc-solaris2.10/include -g -O2 -frounding-math -W -Wall -MT C_Polyhedron.lo -MD -MP -MF .deps/C_Polyhedron.Tpo -c -o C_Polyhedron.lo /tool/gcc/4.5.0/ppl-0.10.2/src/C_Polyhedron.cc
libtool: compile: g++ -DHAVE_CONFIG_H -I. -I/tool/gcc/4.5.0/ppl-0.10.2/src -I.. -I.. -I/tool/gcc/4.5.0/ppl-0.10.2/src -I/tool/gcc/4.5.0/i386-pc-solaris2.10/include -g -O2 -frounding-math -W -Wall -MT C_Polyhedron.lo -MD -MP -MF .deps/C_Polyhedron.Tpo -c /tool/gcc/4.5.0/ppl-0.10.2/src/C_Polyhedron.cc -fPIC -DPIC -o .libs/C_Polyhedron.o
In file included from /tool/gcc/4.5.0/ppl-0.10.2/src/algorithms.hh:27:0,
                 from /tool/gcc/4.5.0/ppl-0.10.2/src/C_Polyhedron.cc:28:
/tool/gcc/4.5.0/ppl-0.10.2/src/Pointset_Powerset.defs.hh:68:27: error: expected unqualified-id before numeric constant
/tool/gcc/4.5.0/ppl-0.10.2/src/Pointset_Powerset.defs.hh:69:22: error: type/value mismatch at argument 1 in template parameter list for 'template<class D> class Parma_Polyhedra_Library::Powerset'
/tool/gcc/4.5.0/ppl-0.10.2/src/Pointset_Powerset.defs.hh:69:22: error: expected a type, got '15'
/tool/gcc/4.5.0/ppl-0.10.2/src/Pointset_Powerset.defs.hh:1234:20: error: 'Base' is not a class or namespace
/tool/gcc/4.5.0/ppl-0.10.2/src/Pointset_Powerset.defs.hh:1235:20: error: 'Base' is not a class or namespace
/tool/gcc/4.5.0/ppl-0.10.2/src/Pointset_Powerset.defs.hh:1236:20: error: 'Base' is not a class or namespace
/tool/gcc/4.5.0/ppl-0.10.2/src/Pointset_Powerset.defs.hh:1237:20: error: 'Base' is not a class or namespace
/tool/gcc/4.5.0/ppl-0.10.2/src/Pointset_Powerset.defs.hh:1238:20: error: 'Base' is not a class or namespace
/tool/gcc/4.5.0/ppl-0.10.2/src/Pointset_Powerset.defs.hh:1239:20: error: 'Base' is not a class or namespace
/tool/gcc/4.5.0/ppl-0.10.2/src/Pointset_Powerset.defs.hh:1251:20: error: 'Base' is not a class or namespace
/tool/gcc/4.5.0/ppl-0.10.2/src/Pointset_Powerset.defs.hh:1252:20: error: 'Base' is not a class or namespace
/tool/gcc/4.5.0/ppl-0.10.2/src/Pointset_Powerset.defs.hh:1253:20: error: 'Base' is not a class or namespace

In file included from /tool/gcc/4.5.0/ppl-0.10.2/src/Pointset_Powerset.defs.hh:1446:0,
                 from /tool/gcc/4.5.0/ppl-0.10.2/src/algorithms.hh:27,
                 from /tool/gcc/4.5.0/ppl-0.10.2/src/C_Polyhedron.cc:28:
/tool/gcc/4.5.0/ppl-0.10.2/src/Pointset_Powerset.inlines.hh: In constructor 'Parma_Polyhedra_Library::Pointset_Powerset<PH>::Pointset_Powerset(Parma_Polyhedra_Library::dimension_type, Parma_Polyhedra_Library::Degenerate_Element)':

... much more follows.

I've confirmed that I am using versions 4.5.0 of gcc and g++.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000192)
bagnara (administrator)
2010-08-05 08:53

Hi Dan, we have just released PPL 0.11. Can you please try again and let us know if the problem persists?
(0000195)
bagnara (administrator)
2010-08-05 13:55

I have just compiled PPL 0.11 with GCC 4.5.1 and everything went OK.

- Issue History
Date Modified Username Field Change
2010-06-19 05:36 Dan Davies New Issue
2010-06-19 05:36 Dan Davies Status new => assigned
2010-06-19 05:36 Dan Davies Assigned To => bagnara
2010-08-05 08:53 bagnara Note Added: 0000192
2010-08-05 08:53 bagnara Status assigned => feedback
2010-08-05 13:55 bagnara Note Added: 0000195
2010-10-05 11:42 bagnara Status feedback => resolved
2010-10-05 11:42 bagnara Resolution open => fixed
2012-02-12 09:56 bagnara Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker